Subject: Re: bug#10550: 24.0.92; doc of `history-length'

From: Chong Yidong <[email-masked]>
Date: Sat, 28 Jan 2012 11:04:48 +0800

"Drew Adams" <[email-masked]> writes:

> As far as the doc goes, the most important thing is missing.  One can
> pretty much guess that this value limits the length of history lists,
> but the question is which history-list entries are dropped: the oldest
> or the new ones?  Does the list stay the same, with new values rejected,
> or do new ones replace the oldest ones? Or do new ones replace the
> next-newest ones?  Why make users guess or experiment?
>
> And for the doc string the info is also missing about which history
> lists are affected: "those that don't specify their own maximum lengths"
> (to quote the Elisp manual).

OK, I edited it to make it extra super double plus obvious.